from uuid import UUID
from dataclasses import dataclass

import pydantic


class ArticleSchema(pydantic.BaseModel):
    name: str
    description: str
    author_id: UUID

    
class ArticleGetSchema(pydantic.BaseModel):
    id: UUID | None = pydantic.Field(None)
    name: str | None = pydantic.Field(None)
    description: str | None = pydantic.Field(None)
    
    
class ArticleUpdateSchema(pydantic.BaseModel):
    name: str | None = pydantic.Field(None)
    description: str | None = pydantic.Field(None)


@dataclass
class LoginRequestModel:
    username: str
    password: str
