import httpx

from .schemas import LoginRequestModel
from exceptions import http as http_exc


class AuthService:
    auth_service_url = "http://auth-core-1:8000/api/auth/login"

    async def login(self, data: LoginRequestModel):
        async with httpx.AsyncClient() as client:
            response = await client.post(
                self.auth_service_url,
                data={"username": data.username, "password": data.password},
            )

        if response.status_code == 200:
            return response.json()
        else:
            raise http_exc.HTTPNotFoundException(detail='Incorrect username or password')


auth_service = AuthService()
